Package org.eclipse.birt.chart.model.attribute

# Interface DataPoint

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DataPointImpl`

public interface DataPoint extends IChartObject
A representation of the model object 'Data Point'. DataPoint holds the settings for establishing the label text of a series' datapoints.

The following features are supported:

- `Components`
- `Prefix`
- `Suffix`
- `Separator`

See Also:
  - `AttributePackage.getDataPoint()`

## Method Summary

Modifier and Type
Method
Description
`DataPoint`
`copyInstance()`
`org.eclipse.emf.common.util.EList<DataPointComponent>`
`getComponents()`
Returns the value of the 'Components' containment reference list.
`String`
`getPrefix()`
Returns the value of the 'Prefix' attribute.
`String`
`getSeparator()`
Returns the value of the 'Separator' attribute.
`String`
`getSuffix()`
Returns the value of the 'Suffix' attribute.
`void`
`setPrefix(String value)`
Sets the value of the '`Prefix`' attribute.
`void`
`setSeparator(String value)`
Sets the value of the '`Separator`' attribute.
`void`
`setSuffix(String value)`
Sets the value of the '`Suffix`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getComponents

org.eclipse.emf.common.util.EList<DataPointComponent> getComponents()
Returns the value of the 'Components' containment reference list. The list contents are of type `DataPointComponent`. Specifies the components (values) being shown in the data label.

Returns:
  the value of the 'Components' containment reference list.
See Also:
  - `AttributePackage.getDataPoint_Components()`

### getPrefix

String getPrefix()
Returns the value of the 'Prefix' attribute. Attribute "Prefix" specifies the prefix of the label text.

Returns:
  the value of the 'Prefix' attribute.
See Also:
  - `setPrefix(String)`
  - `AttributePackage.getDataPoint_Prefix()`

### setPrefix

void setPrefix(String value)
Sets the value of the '`Prefix`' attribute.

Parameters:
  `value` - the new value of the 'Prefix' attribute.
See Also:
  - `getPrefix()`

### getSuffix

String getSuffix()
Returns the value of the 'Suffix' attribute. Attribute "Suffix" specifies the prefix of the label text.

Returns:
  the value of the 'Suffix' attribute.
See Also:
  - `setSuffix(String)`
  - `AttributePackage.getDataPoint_Suffix()`

### setSuffix

void setSuffix(String value)
Sets the value of the '`Suffix`' attribute.

Parameters:
  `value` - the new value of the 'Suffix' attribute.
See Also:
  - `getSuffix()`

### getSeparator

String getSeparator()
Returns the value of the 'Separator' attribute. Specifies the separator used in the data label.

Returns:
  the value of the 'Separator' attribute.
See Also:
  - `setSeparator(String)`
  - `AttributePackage.getDataPoint_Separator()`

### setSeparator

void setSeparator(String value)
Sets the value of the '`Separator`' attribute.

Parameters:
  `value` - the new value of the 'Separator' attribute.
See Also:
  - `getSeparator()`

### copyInstance

DataPoint copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`